package com.jy.system.service;

import com.jy.system.model.dto.SysMenuDto;
import com.jy.system.model.dto.SysMenuSelectDto;
import com.jy.system.model.entity.SysRole;
import com.jy.system.model.vo.SysMenuVo;

import java.util.List;

/**
 * <p>
 * 菜单 服务类
 * </p>
 *
 * @author
 * @since 2024-06-20
 */
public interface SysMenuService {

    /**
     * 菜单树形
     */
    List<SysMenuVo> getTree(SysMenuSelectDto dto);

    /**
     * 菜单明细
     */
    SysMenuVo getDetail(Long id);

    /**
     * 菜单新增
     */
    void add(SysMenuDto dto);

    /**
     * 菜单编辑
     */
    void edit(SysMenuDto dto);

    /**
     * 菜单删除
     */
    void delete(Long id);

    /**
     * 获取用户启用菜单列表
     *
     * @param userId      用户id
     * @param sysRoleList 角色列表
     * @return 菜单列表
     */
    List<SysMenuVo> getUserEnableList(Long userId, List<SysRole> sysRoleList);

}
